1. Player Match History
MarvelRivalsAPI.com
  • Introduction
  • Get Started
    • Authentication
    • Rate Limits
    • Errors
      • Status Codes
    • SDKs & Extentions
      • Community Libraries
  • Endpoints
    • Achievements
      • List achievements
      • Search achievement
    • Patch Notes
      • List balances
      • Search balance
      • List dev diaries
      • Search dev diary
      • List patch notes
      • Search patch note
      • List game versions
    • Battle Pass
      • Battlepass
    • Heroes
      • List Heroes
      • Search hero
      • Hero stats
      • Hero leaderboard
      • List costumes
      • Search hero costume
    • Items
      • List items
      • Search item
    • Maps
      • List maps
      • Search map
    • Player Match History
      • Search match
        GET
      • Player match history
        GET
      • Player match history v2
        GET
    • Player Stats
      • Search player
      • Player stats
      • Player stats v2
      • Update player
      • Player Leaderboard
    • Seasons
      • List seasons
      • Search season
  • Community
    • Discord Bots
  1. Player Match History

Player match history v2

GET
/api/v2/player/{query}/match-history
Player Match Historyv2
Maintainer:Alastor
This endpoint retrieves the match history of a player based on their unique identifier (UID) or username. It allows filtering by season, game mode, and pagination (with page and limit).

Request

Path Params

Query Params

Header Params

Responses

🟢200OK
application/json
Successfully retrieved match history for the player
Bodyapplication/json

🟠400Bad Request
🟠401Unauthorized
🟠404Record Not Found
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://marvelrivalsapi.com/api/v2/player//match-history?season=&page=&limit=&skip=&game_mode=&timestamp=' \
--header 'x-api-key;'
Response Response Example
200 - Example 1
{
    "match_history": [
        {
            "match_map_id": 0,
            "map_thumbnail": "string",
            "match_play_duration": "string",
            "match_season": "string",
            "match_uid": "string",
            "match_winner_side": 0,
            "mvp_uid": 0,
            "svp_uid": 0,
            "score_info": null,
            "match_time_stamp": 0,
            "play_mode_id": 0,
            "game_mode_id": 0,
            "match_player": {
                "assists": 0,
                "kills": 0,
                "deaths": 0,
                "is_win": {
                    "score": 0,
                    "is_win": true
                },
                "disconnected": true,
                "player_uid": 0,
                "camp": 0,
                "score_info": {
                    "add_score": 0,
                    "level": 0,
                    "new_level": 0,
                    "new_score": 0
                },
                "player_hero": {
                    "hero_id": 0,
                    "hero_name": "string",
                    "hero_type": "string",
                    "kills": 0,
                    "deaths": 0,
                    "assists": 0,
                    "play_time": {
                        "raw": 0,
                        "formatted": "string"
                    },
                    "total_hero_damage": 0,
                    "total_damage_taken": 0,
                    "total_hero_heal": 0,
                    "hero_thumbnail": "/heroes/warrior.png"
                }
            }
        }
    ],
    "pagination": {
        "page": 0,
        "limit": 0,
        "total_matches": 0,
        "total_pages": 0,
        "has_more": true
    }
}
Modified at 2026-05-20 08:01:42
Previous
Player match history
Next
Search player
Built with